import "core-js/modules/es.function.name.js";
import { createVNode as _createVNode, mergeProps as _mergeProps } from "vue";
import { defineComponent } from 'vue';
import { WordCloud } from '@antv/g2plot';
import BaseChart from '../../components/base';
var WordCloudChart = defineComponent({
  name: 'WordCloudChart',
  setup: function setup(props, ctx) {
    return function () {
      return _createVNode(BaseChart, _mergeProps({
        "chart": WordCloud
      }, ctx.attrs, props), null);
    };
  }
});
/* istanbul ignore next */

WordCloudChart.install = function (app) {
  app.component(WordCloudChart.name, WordCloudChart);
};

export default WordCloudChart;