import { RingProgressOptions } from '@antv/g2plot';
import { BaseChartProps } from '../../components/base';
import { Writeable } from '../../types';
export declare type RingProgressChartProps = Writeable<Omit<BaseChartProps<RingProgressOptions>, 'chart'> & RingProgressOptions>;
declare const RingProgressChart: import("vue").DefineComponent<Writeable<Pick<BaseChartProps<RingProgressOptions>, "class" | "style" | "chartRef"> & RingProgressOptions>, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{
    class: any;
} & {
    width?: number | undefined;
    height?: number | undefined;
    padding?: number | number[] | "auto" | undefined;
    appendPadding?: number | number[] | undefined;
    renderer?: "canvas" | "svg" | undefined;
    pixelRatio?: number | undefined;
    autoFit?: boolean | undefined;
    syncViewPadding?: boolean | import("@antv/g2/lib/interface").SyncViewPaddingFn | undefined;
    supportCSSTransform?: boolean | undefined;
    limitInPlot?: boolean | undefined;
    style?: string | import("vue").CSSProperties | undefined;
    color?: string | string[] | ((datum: Record<string, any>) => string) | undefined;
    chartRef?: import("vue").Ref<import("@antv/g2plot").Plot<RingProgressOptions> | null> | undefined;
    meta?: unknown;
    localRefresh?: boolean | undefined;
    theme?: unknown;
    xAxis?: false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined;
    yAxis?: false | (import("@antv/g2/lib/interface").AxisCfg & Pick<import("@antv/g2plot").Meta, "base" | "mask" | "field" | "min" | "max" | "minLimit" | "maxLimit" | "alias" | "range" | "exponent" | "nice" | "ticks" | "tickInterval" | "minTickInterval" | "tickCount" | "maxTickCount" | "tickMethod" | "type" | "sync">) | undefined;
    slider?: boolean | import("@antv/g2/lib/interface").SliderCfg | undefined;
    scrollbar?: boolean | import("@antv/g2/lib/interface").ScrollbarCfg | undefined;
    animation?: false | import("@antv/g2/lib/interface").AnimateOption | undefined;
    interactions?: import("@antv/g2plot/lib/types/interaction").Interaction[] | undefined;
    annotations?: import("@antv/g2plot/lib/types/annotation").Annotation[] | undefined;
    state?: import("@antv/g2/lib/interface").StateCfg | undefined;
    percent?: number | undefined;
    radius?: number | undefined;
    innerRadius?: number | undefined;
    statistic?: import("@antv/g2plot").Statistic | undefined;
    progressStyle?: import("@antv/g-base").ShapeAttrs | ((datum: Record<string, any>) => import("@antv/g-base").ShapeAttrs) | undefined;
}>, {
    class: any;
}>;
export default RingProgressChart;
